GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
GDALRasterIOExtraArg Struct Reference

Structure to pass extra arguments to RasterIO() method. More...

`#include <gdal.h>`

## Public Attributes
int | nVersion
GDALRIOResampleAlg | eResampleAlg
GDALProgressFunc | pfnProgress
void * | pProgressData
int | bFloatingPointWindowValidity
double | dfXOff
double | dfYOff
double | dfXSize
double | dfYSize

## Detailed Description

Structure to pass extra arguments to RasterIO() method.

Since
  GDAL 2.0

## Member Data Documentation

int GDALRasterIOExtraArg::bFloatingPointWindowValidity

Indicate if dfXOff, dfYOff, dfXSize and dfYSize are set. Mostly reserved from the VRT driver to communicate a more precise source window. Must be such that dfXOff - nXOff < 1.0 and dfYOff - nYOff < 1.0 and nXSize - dfXSize < 1.0 and nYSize - dfYSize < 1.0

double GDALRasterIOExtraArg::dfXOff

Pixel offset to the top left corner. Only valid if bFloatingPointWindowValidity = TRUE

double GDALRasterIOExtraArg::dfXSize

Width in pixels of the area of interest. Only valid if bFloatingPointWindowValidity = TRUE

double GDALRasterIOExtraArg::dfYOff

Line offset to the top left corner. Only valid if bFloatingPointWindowValidity = TRUE

double GDALRasterIOExtraArg::dfYSize

Height in pixels of the area of interest. Only valid if bFloatingPointWindowValidity = TRUE

GDALRIOResampleAlg GDALRasterIOExtraArg::eResampleAlg

Resampling algorithm

int GDALRasterIOExtraArg::nVersion

Version of structure (to allow future extensions of the structure)

GDALProgressFunc GDALRasterIOExtraArg::pfnProgress

Progress callback

void* GDALRasterIOExtraArg::pProgressData

Progress callback user data

The documentation for this struct was generated from the following file:

- gdal.h

Generated for GDAL by 1.8.9.1.